# Response Model

## Live Event Object

| Field Name | Type   | Description |
| ---------- | ------ | ----------- |
| liveEvents | object |             |

### LiveEvents object

| Field Name           | Type   | Description                                                       |
| -------------------- | ------ | ----------------------------------------------------------------- |
| tournamentName       | string | Name of the tournament                                            |
| tournamentId         | int    | Tournament Identifier                                             |
| externalTournamentId | string | External Tournament Identifier                                    |
| eventId              | string | Unique identifier for this event                                  |
| startTime            | object | StartTime object indicating when the match was scheduled to start |
| teamA                | object | A team status object describing the first team taking part        |
| teamB                | object | A team status object describing the second team taking part       |
| eventState           | string | NotStarted, InProgress, Finished, Suspended                       |

### StartTime object

| Field Name | Type | Description                      |
| ---------- | ---- | -------------------------------- |
| time       | time | Timestamp relating to the status |

### Team Status object

Both of these objects contain the same information, but about the opposing team.

| Field Name | Type   | Description                                                                                         |
| ---------- | ------ | --------------------------------------------------------------------------------------------------- |
| status     | string | UnknownTableTennisTeam, KnownTableTennisTeam, Bye                                                   |
| team       | object | Team object containing the player information. Object will be empty if the status is Unknown or Bye |

### Team object

In singles, there is a team of 1 player1, in doubles we have 2 players, player1 and player2

| Field     | Type    | Description                                                     |
| --------- | ------- | --------------------------------------------------------------- |
| player1   | object  | Contains player information (mandatory for doubles and singles) |
| player2   | object  | Only exists for doubles                                         |
| entryType | string  | Standard, Qualifier                                             |
| seed      | integer | The seed that teams are in a tournament                         |

### Player object

These objects contain the same information, per player

| Fields    | Type   | Description                                                                 |
| --------- | ------ | --------------------------------------------------------------------------- |
| id        | string | Players individual identifier                                               |
| firstName | string | First name                                                                  |
| lastName  | string | Last name                                                                   |
| birthDate | string | The ISO 8601 representation of the player's date of birth (i.e. YYYY-MM-DD) |
| country   | string | Player's country code                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/live-events/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
